gnewsense-dev
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Gnewsense-dev] Re: No xv?


From: Yavor Doganov
Subject: [Gnewsense-dev] Re: No xv?
Date: Sun, 07 Mar 2010 19:01:24 +0200
User-agent: Wanderlust/2.15.5 (Almost Unreal) SEMI/1.14.6 (Maruoka) FLIM/1.14.9 (Goj┼Ź) APEL/10.7 Emacs/23.1 (i486-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)

> Another way is to define a list of suppressed packages,
> and set up apt-get so that it disregards anything that other packages
> say about those suppressed packages.
> 
> This is easy and modular.

Not modular at all: There might be another `xv' package one day, which
has nothing to do with the nonfree xv.  Also, any user can setup and
use unofficial repositories, including private ones, so hardcoding
package names in apt is asking for disaster.

Not easy, too: it is easier to fix the problem by a simple
modification to debian/control + rebuild (which _is_ the canonical way
to fix such issues), rather than patching C++ code and carrying a
delta for a package from the core Debian toolchain.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]